<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Sbxxbean" type="cn.vp.XXX.model.SbxxBean"/> -->	<typeAlias alias="Sbxx" type="cn.im.sbxx.SbxxBean"/>
	
	<sql id="condition_Sbxx">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEsbbh'>
			(sbbh like '%$LIKEsbbh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbh'>
			(sbbh = #sbbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwbbh'>
			(wbbh like '%$LIKEwbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wbbh'>
			(wbbh = #wbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbmc'>
			(sbmc like '%$LIKEsbmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbmc'>
			(sbmc = #sbmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbmcpy'>
			(sbmcpy like '%$LIKEsbmcpy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbmcpy'>
			(sbmcpy = #sbmcpy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbip'>
			(sbip like '%$LIKEsbip$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbip'>
			(sbip = #sbip# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdk'>
			(sbdk like '%$LIKEsbdk$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdk'>
			(sbdk = #sbdk# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdlzh'>
			(sbdlzh like '%$LIKEsbdlzh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdlzh'>
			(sbdlzh = #sbdlzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdlmm'>
			(sbdlmm like '%$LIKEsbdlmm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdlmm'>
			(sbdlmm = #sbdlmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbzl'>
			(sbzl like '%$LIKEsbzl$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbzl'>
			(sbzl = #sbzl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbbbh'>
			(sbbbh like '%$LIKEsbbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbbh'>
			(sbbbh = #sbbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbxh'>
			(sbxh like '%$LIKEsbxh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbxh'>
			(sbxh = #sbxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjbh'>
			(cjbh like '%$LIKEcjbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjbh'>
			(cjbh = #cjbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjmc'>
			(cjmc like '%$LIKEcjmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjmc'>
			(cjmc = #cjmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbzt'>
			(sbzt like '%$LIKEsbzt$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbzt'>
			(sbzt = #sbzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExhsj'>
			(xhsj like '%$LIKExhsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xhsj'>
			(xhsj = #xhsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKErjbbh'>
			(rjbbh like '%$LIKErjbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='rjbbh'>
			(rjbbh = #rjbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkhbh'>
			(khbh like '%$LIKEkhbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='khbh'>
			(khbh = #khbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbazwz'>
			(sbazwz like '%$LIKEsbazwz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbazwz'>
			(sbazwz = #sbazwz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(jd like '%$LIKEjd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(wd like '%$LIKEwd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzx'>
			(tpwzx like '%$LIKEtpwzx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzx'>
			(tpwzx = #tpwzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzy'>
			(tpwzy like '%$LIKEtpwzy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzy'>
			(tpwzy = #tpwzy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsrtds'>
			(spsrtds like '%$LIKEspsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsrtds'>
			(spsrtds = #spsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsrdhmtds'>
			(spsrdhmtds like '%$LIKEspsrdhmtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsrdhmtds'>
			(spsrdhmtds = #spsrdhmtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsctds'>
			(spsctds like '%$LIKEspsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsctds'>
			(spsctds = #spsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEypsrtds'>
			(ypsrtds like '%$LIKEypsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ypsrtds'>
			(ypsrtds = #ypsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEypsctds'>
			(ypsctds like '%$LIKEypsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ypsctds'>
			(ypsctds = #ypsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjsrtds'>
			(bjsrtds like '%$LIKEbjsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjsrtds'>
			(bjsrtds = #bjsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjsctds'>
			(bjsctds like '%$LIKEbjsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjsctds'>
			(bjsctds = #bjsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtmtds'>
			(tmtds like '%$LIKEtmtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tmtds'>
			(tmtds = #tmtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmlczxy'>
			(mlczxy like '%$LIKEmlczxy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='mlczxy'>
			(mlczxy = #mlczxy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdscdk'>
			(zdscdk like '%$LIKEzdscdk$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdscdk'>
			(zdscdk = #zdscdk# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqybh'>
			(qybh like '%$LIKEqybh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qybh'>
			(qybh = #qybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdzls'>
			(zdzls like '%$LIKEzdzls$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdzls'>
			(zdzls = #zdzls# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjlbh'>
			(jlbh like '%$LIKEjlbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jlbh'>
			(jlbh = #jlbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrms'>
			(jrms like '%$LIKEjrms$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrms'>
			(jrms = #jrms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEms'>
			(ms like '%$LIKEms$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ms'>
			(ms = #ms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdlfwzbh'>
			(dlfwzbh like '%$LIKEdlfwzbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dlfwzbh'>
			(dlfwzbh = #dlfwzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqymc'>
			(qymc like '%$LIKEqymc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qymc'>
			(qymc = #qymc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqydz'>
			(qydz like '%$LIKEqydz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qydz'>
			(qydz = #qydz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExzbh'>
			(xzbh like '%$LIKExzbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xzbh'>
			(xzbh = #xzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrfsbh'>
			(jrfsbh like '%$LIKEjrfsbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrfsbh'>
			(jrfsbh = #jrfsbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrfsmc'>
			(jrfsmc like '%$LIKEjrfsmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrfsmc'>
			(jrfsmc = #jrfsmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxr'>
			(lxr like '%$LIKElxr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxr'>
			(lxr = #lxr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxdh'>
			(lxdh like '%$LIKElxdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxdh'>
			(lxdh = #lxdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvpnwgbh'>
			(vpnwgbh like '%$LIKEvpnwgbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='vpnwgbh'>
			(vpnwgbh = #vpnwgbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Sbxx" parameterClass="java.util.Map">
		insert into 
		sbxx(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='sbbh'>sbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>wbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmc'>sbmc</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmcpy'>sbmcpy</isNotEmpty>
			<isNotEmpty prepend=',' property='sbip'>sbip</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdk'>sbdk</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdlzh'>sbdlzh</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdlmm'>sbdlmm</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzl'>sbzl</isNotEmpty>
			<isNotEmpty prepend=',' property='sbbbh'>sbbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='sbxh'>sbxh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjbh'>cjbh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjmc'>cjmc</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzt'>sbzt</isNotEmpty>
			<isNotEmpty prepend=',' property='xhsj'>xhsj</isNotEmpty>
			<isNotEmpty prepend=',' property='rjbbh'>rjbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='khbh'>khbh</isNotEmpty>
			<isNotEmpty prepend=',' property='sbazwz'>sbazwz</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzx'>tpwzx</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzy'>tpwzy</isNotEmpty>
			<isNotEmpty prepend=',' property='spsrtds'>spsrtds</isNotEmpty>
			<isNotEmpty prepend=',' property='spsrdhmtds'>spsrdhmtds</isNotEmpty>
			<isNotEmpty prepend=',' property='spsctds'>spsctds</isNotEmpty>
			<isNotEmpty prepend=',' property='ypsrtds'>ypsrtds</isNotEmpty>
			<isNotEmpty prepend=',' property='ypsctds'>ypsctds</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsrtds'>bjsrtds</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsctds'>bjsctds</isNotEmpty>
			<isNotEmpty prepend=',' property='tmtds'>tmtds</isNotEmpty>
			<isNotEmpty prepend=',' property='mlczxy'>mlczxy</isNotEmpty>
			<isNotEmpty prepend=',' property='zdscdk'>zdscdk</isNotEmpty>
			<isNotEmpty prepend=',' property='qybh'>qybh</isNotEmpty>
			<isNotEmpty prepend=',' property='zdzls'>zdzls</isNotEmpty>
			<isNotEmpty prepend=',' property='jlbh'>jlbh</isNotEmpty>
			<isNotEmpty prepend=',' property='jrms'>jrms</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms</isNotEmpty>
			<isNotEmpty prepend=',' property='dlfwzbh'>dlfwzbh</isNotEmpty>
			<isNotEmpty prepend=',' property='qymc'>qymc</isNotEmpty>
			<isNotEmpty prepend=',' property='qydz'>qydz</isNotEmpty>
			<isNotEmpty prepend=',' property='xzbh'>xzbh</isNotEmpty>
			<isNotEmpty prepend=',' property='jrfsbh'>jrfsbh</isNotEmpty>
			<isNotEmpty prepend=',' property='jrfsmc'>jrfsmc</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh</isNotEmpty>
			<isNotEmpty prepend=',' property='vpnwgbh'>vpnwgbh</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='sbbh'>#sbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>#wbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmc'>#sbmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmcpy'>#sbmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbip'>#sbip#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdk'>#sbdk#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdlzh'>#sbdlzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdlmm'>#sbdlmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzl'>#sbzl#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbbbh'>#sbbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbxh'>#sbxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjbh'>#cjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjmc'>#cjmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzt'>#sbzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='xhsj'>#xhsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='rjbbh'>#rjbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='khbh'>#khbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbazwz'>#sbazwz#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzx'>#tpwzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzy'>#tpwzy#</isNotEmpty>
			<isNotEmpty prepend=',' property='spsrtds'>#spsrtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='spsrdhmtds'>#spsrdhmtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='spsctds'>#spsctds#</isNotEmpty>
			<isNotEmpty prepend=',' property='ypsrtds'>#ypsrtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='ypsctds'>#ypsctds#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsrtds'>#bjsrtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsctds'>#bjsctds#</isNotEmpty>
			<isNotEmpty prepend=',' property='tmtds'>#tmtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='mlczxy'>#mlczxy#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdscdk'>#zdscdk#</isNotEmpty>
			<isNotEmpty prepend=',' property='qybh'>#qybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdzls'>#zdzls#</isNotEmpty>
			<isNotEmpty prepend=',' property='jlbh'>#jlbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrms'>#jrms#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='dlfwzbh'>#dlfwzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='qymc'>#qymc#</isNotEmpty>
			<isNotEmpty prepend=',' property='qydz'>#qydz#</isNotEmpty>
			<isNotEmpty prepend=',' property='xzbh'>#xzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrfsbh'>#jrfsbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrfsmc'>#jrfsmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='vpnwgbh'>#vpnwgbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Sbxx" parameterClass="java.util.Map">
		update sbxx 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='wbbh'>wbbh=#wbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmc'>sbmc=#sbmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbmcpy'>sbmcpy=#sbmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbip'>sbip=#sbip#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdk'>sbdk=#sbdk#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdlzh'>sbdlzh=#sbdlzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbdlmm'>sbdlmm=#sbdlmm#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzl'>sbzl=#sbzl#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbbbh'>sbbbh=#sbbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbxh'>sbxh=#sbxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjbh'>cjbh=#cjbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjmc'>cjmc=#cjmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbzt'>sbzt=#sbzt#</isNotEmpty>
			<isNotEmpty prepend=',' property='xhsj'>xhsj=#xhsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='rjbbh'>rjbbh=#rjbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='khbh'>khbh=#khbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sbazwz'>sbazwz=#sbazwz#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzx'>tpwzx=#tpwzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzy'>tpwzy=#tpwzy#</isNotEmpty>
			<isNotEmpty prepend=',' property='spsrtds'>spsrtds=#spsrtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='spsrdhmtds'>spsrdhmtds=#spsrdhmtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='spsctds'>spsctds=#spsctds#</isNotEmpty>
			<isNotEmpty prepend=',' property='ypsrtds'>ypsrtds=#ypsrtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='ypsctds'>ypsctds=#ypsctds#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsrtds'>bjsrtds=#bjsrtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='bjsctds'>bjsctds=#bjsctds#</isNotEmpty>
			<isNotEmpty prepend=',' property='tmtds'>tmtds=#tmtds#</isNotEmpty>
			<isNotEmpty prepend=',' property='mlczxy'>mlczxy=#mlczxy#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdscdk'>zdscdk=#zdscdk#</isNotEmpty>
			<isNotEmpty prepend=',' property='qybh'>qybh=#qybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdzls'>zdzls=#zdzls#</isNotEmpty>
			<isNotEmpty prepend=',' property='jlbh'>jlbh=#jlbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrms'>jrms=#jrms#</isNotEmpty>
			<isNotEmpty prepend=',' property='ms'>ms=#ms#</isNotEmpty>
			<isNotEmpty prepend=',' property='dlfwzbh'>dlfwzbh=#dlfwzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='qymc'>qymc=#qymc#</isNotEmpty>
			<isNotEmpty prepend=',' property='qydz'>qydz=#qydz#</isNotEmpty>
			<isNotEmpty prepend=',' property='xzbh'>xzbh=#xzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrfsbh'>jrfsbh=#jrfsbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='jrfsmc'>jrfsmc=#jrfsmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr=#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh=#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='vpnwgbh'>vpnwgbh=#vpnwgbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJsbbh'> sbbh = #XGTJsbbh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwbbh'> wbbh = #XGTJwbbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbmc'> sbmc = #XGTJsbmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbmcpy'> sbmcpy = #XGTJsbmcpy# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbip'> sbip = #XGTJsbip# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbdk'> sbdk = #XGTJsbdk# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbdlzh'> sbdlzh = #XGTJsbdlzh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbdlmm'> sbdlmm = #XGTJsbdlmm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbzl'> sbzl = #XGTJsbzl# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbbbh'> sbbbh = #XGTJsbbbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbxh'> sbxh = #XGTJsbxh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjbh'> cjbh = #XGTJcjbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjmc'> cjmc = #XGTJcjmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbzt'> sbzt = #XGTJsbzt# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxhsj'> xhsj = #XGTJxhsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJrjbbh'> rjbbh = #XGTJrjbbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkhbh'> khbh = #XGTJkhbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsbazwz'> sbazwz = #XGTJsbazwz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjd'> jd = #XGTJjd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwd'> wd = #XGTJwd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJtpwzx'> tpwzx = #XGTJtpwzx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJtpwzy'> tpwzy = #XGTJtpwzy# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspsrtds'> spsrtds = #XGTJspsrtds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspsrdhmtds'> spsrdhmtds = #XGTJspsrdhmtds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJspsctds'> spsctds = #XGTJspsctds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJypsrtds'> ypsrtds = #XGTJypsrtds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJypsctds'> ypsctds = #XGTJypsctds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjsrtds'> bjsrtds = #XGTJbjsrtds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbjsctds'> bjsctds = #XGTJbjsctds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJtmtds'> tmtds = #XGTJtmtds# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJmlczxy'> mlczxy = #XGTJmlczxy# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzdscdk'> zdscdk = #XGTJzdscdk# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJqybh'> qybh = #XGTJqybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzdzls'> zdzls = #XGTJzdzls# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjlbh'> jlbh = #XGTJjlbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjrms'> jrms = #XGTJjrms# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJms'> ms = #XGTJms# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJdlfwzbh'> dlfwzbh = #XGTJdlfwzbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJqymc'> qymc = #XGTJqymc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJqydz'> qydz = #XGTJqydz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxzbh'> xzbh = #XGTJxzbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjrfsbh'> jrfsbh = #XGTJjrfsbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjrfsmc'> jrfsmc = #XGTJjrfsmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxr'> lxr = #XGTJlxr# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxdh'> lxdh = #XGTJlxdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJvpnwgbh'> vpnwgbh = #XGTJvpnwgbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Sbxx" parameterClass="java.util.Map">
		delete from sbxx 
		<include refid="condition_Sbxx"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Sbxx" parameterClass="java.util.Map">
		delete from sbxx 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Sbxx" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select xx.*,cj.cjmc,pt.xzmc,
		(select csmc from xtcl  where csdl='vdType' and csdm=sbzl) as csmc,
		(select csmc from xtcl  where csdl='vdState' and csdm=sbzt) as sbztname
		from sbxx xx 
		left join sbcj cj on xx.cjbh = cj.cjbh 
		left join ptxzs pt on xx.xzbh = pt.xzbh
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEsbbh'>
			(xx.sbbh like '%$LIKEsbbh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbh'>
			(xx.sbbh = #sbbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwbbh'>
			(xx.wbbh like '%$LIKEwbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wbbh'>
			(xx.wbbh = #wbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbmc'>
			(xx.sbmc like '%$LIKEsbmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbmc'>
			(xx.sbmc = #sbmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbmcpy'>
			(xx.sbmcpy like '%$LIKEsbmcpy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbmcpy'>
			(xx.sbmcpy = #sbmcpy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbip'>
			(xx.sbip like '%$LIKEsbip$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbip'>
			(xx.sbip = #sbip# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdk'>
			(xx.sbdk like '%$LIKEsbdk$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdk'>
			(xx.sbdk = #sbdk# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdlzh'>
			(xx.sbdlzh like '%$LIKEsbdlzh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdlzh'>
			(xx.sbdlzh = #sbdlzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdlmm'>
			(xx.sbdlmm like '%$LIKEsbdlmm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdlmm'>
			(xx.sbdlmm = #sbdlmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbzl'>
			(xx.sbzl like '%$LIKEsbzl$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbzl'>
			(xx.sbzl = #sbzl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbbbh'>
			(xx.sbbbh like '%$LIKEsbbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbbh'>
			(xx.sbbbh = #sbbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbxh'>
			(xx.sbxh like '%$LIKEsbxh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbxh'>
			(xx.sbxh = #sbxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjbh'>
			(xx.cjbh like '%$LIKEcjbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjbh'>
			(xx.cjbh = #cjbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjmc'>
			(xx.cjmc like '%$LIKEcjmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjmc'>
			(xx.cjmc = #cjmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbzt'>
			(xx.sbzt like '%$LIKEsbzt$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbzt'>
			(xx.sbzt = #sbzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExhsj'>
			(xx.xhsj like '%$LIKExhsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xhsj'>
			(xx.xhsj = #xhsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKErjbbh'>
			(xx.rjbbh like '%$LIKErjbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='rjbbh'>
			(xx.rjbbh = #rjbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkhbh'>
			(xx.khbh like '%$LIKEkhbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='khbh'>
			(xx.khbh = #khbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbazwz'>
			(xx.sbazwz like '%$LIKEsbazwz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbazwz'>
			(xx.sbazwz = #sbazwz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(xx.jd like '%$LIKEjd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(xx.jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(xx.wd like '%$LIKEwd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(xx.wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzx'>
			(xx.tpwzx like '%$LIKEtpwzx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzx'>
			(xx.tpwzx = #tpwzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzy'>
			(xx.tpwzy like '%$LIKEtpwzy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzy'>
			(xx.tpwzy = #tpwzy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsrtds'>
			(xx.spsrtds like '%$LIKEspsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsrtds'>
			(xx.spsrtds = #spsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsrdhmtds'>
			(xx.spsrdhmtds like '%$LIKEspsrdhmtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsrdhmtds'>
			(xx.spsrdhmtds = #spsrdhmtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsctds'>
			(xx.spsctds like '%$LIKEspsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsctds'>
			(xx.spsctds = #spsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEypsrtds'>
			(xx.ypsrtds like '%$LIKEypsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ypsrtds'>
			(xx.ypsrtds = #ypsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEypsctds'>
			(xx.ypsctds like '%$LIKEypsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ypsctds'>
			(xx.ypsctds = #ypsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjsrtds'>
			(xx.bjsrtds like '%$LIKEbjsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjsrtds'>
			(xx.bjsrtds = #bjsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjsctds'>
			(xx.bjsctds like '%$LIKEbjsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjsctds'>
			(xx.bjsctds = #bjsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtmtds'>
			(xx.tmtds like '%$LIKEtmtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tmtds'>
			(xx.tmtds = #tmtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmlczxy'>
			(xx.mlczxy like '%$LIKEmlczxy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='mlczxy'>
			(xx.mlczxy = #mlczxy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdscdk'>
			(xx.zdscdk like '%$LIKEzdscdk$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdscdk'>
			(xx.zdscdk = #zdscdk# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqybh'>
			(xx.qybh like '%$LIKEqybh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qybh'>
			(xx.qybh = #qybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdzls'>
			(xx.zdzls like '%$LIKEzdzls$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdzls'>
			(xx.zdzls = #zdzls# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjlbh'>
			(xx.jlbh like '%$LIKEjlbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jlbh'>
			(xx.jlbh = #jlbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrms'>
			(xx.jrms like '%$LIKEjrms$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrms'>
			(xx.jrms = #jrms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEms'>
			(xx.ms like '%$LIKEms$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ms'>
			(xx.ms = #ms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdlfwzbh'>
			(xx.dlfwzbh like '%$LIKEdlfwzbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dlfwzbh'>
			(xx.dlfwzbh = #dlfwzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqymc'>
			(xx.qymc like '%$LIKEqymc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qymc'>
			(xx.qymc = #qymc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqydz'>
			(xx.qydz like '%$LIKEqydz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qydz'>
			(xx.qydz = #qydz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExzbh'>
			(xx.xzbh like '%$LIKExzbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xzbh'>
			(xx.xzbh = #xzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrfsbh'>
			(xx.jrfsbh like '%$LIKEjrfsbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrfsbh'>
			(xx.jrfsbh = #jrfsbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrfsmc'>
			(xx.jrfsmc like '%$LIKEjrfsmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrfsmc'>
			(xx.jrfsmc = #jrfsmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxr'>
			(xx.lxr like '%$LIKElxr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxr'>
			(xx.lxr = #lxr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxdh'>
			(xx.lxdh like '%$LIKElxdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxdh'>
			(xx.lxdh = #lxdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvpnwgbh'>
			(xx.vpnwgbh like '%$LIKEvpnwgbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='vpnwgbh'>
			(xx.vpnwgbh = #vpnwgbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(xx.cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(xx.cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(xx.cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(xx.cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xx.xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xx.xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xx.xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xx.xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(xx.bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(xx.bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Sbxx" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*)
		from sbxx xx 
		left join sbcj cj on xx.cjbh = cj.cjbh 
		left join ptxzs pt on xx.xzbh = pt.xzbh
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEsbbh'>
			(xx.sbbh like '%$LIKEsbbh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbh'>
			(xx.sbbh = #sbbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwbbh'>
			(xx.wbbh like '%$LIKEwbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wbbh'>
			(xx.wbbh = #wbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbmc'>
			(xx.sbmc like '%$LIKEsbmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbmc'>
			(xx.sbmc = #sbmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbmcpy'>
			(xx.sbmcpy like '%$LIKEsbmcpy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbmcpy'>
			(xx.sbmcpy = #sbmcpy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbip'>
			(xx.sbip like '%$LIKEsbip$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbip'>
			(xx.sbip = #sbip# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdk'>
			(xx.sbdk like '%$LIKEsbdk$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdk'>
			(xx.sbdk = #sbdk# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdlzh'>
			(xx.sbdlzh like '%$LIKEsbdlzh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdlzh'>
			(xx.sbdlzh = #sbdlzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbdlmm'>
			(xx.sbdlmm like '%$LIKEsbdlmm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbdlmm'>
			(xx.sbdlmm = #sbdlmm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbzl'>
			(xx.sbzl like '%$LIKEsbzl$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbzl'>
			(xx.sbzl = #sbzl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbbbh'>
			(xx.sbbbh like '%$LIKEsbbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbbh'>
			(xx.sbbbh = #sbbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbxh'>
			(xx.sbxh like '%$LIKEsbxh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbxh'>
			(xx.sbxh = #sbxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjbh'>
			(xx.cjbh like '%$LIKEcjbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjbh'>
			(xx.cjbh = #cjbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjmc'>
			(xx.cjmc like '%$LIKEcjmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjmc'>
			(xx.cjmc = #cjmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbzt'>
			(xx.sbzt like '%$LIKEsbzt$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbzt'>
			(xx.sbzt = #sbzt# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExhsj'>
			(xx.xhsj like '%$LIKExhsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xhsj'>
			(xx.xhsj = #xhsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKErjbbh'>
			(xx.rjbbh like '%$LIKErjbbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='rjbbh'>
			(xx.rjbbh = #rjbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkhbh'>
			(xx.khbh like '%$LIKEkhbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='khbh'>
			(xx.khbh = #khbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbazwz'>
			(xx.sbazwz like '%$LIKEsbazwz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbazwz'>
			(xx.sbazwz = #sbazwz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(xx.jd like '%$LIKEjd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(xx.jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(xx.wd like '%$LIKEwd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(xx.wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzx'>
			(xx.tpwzx like '%$LIKEtpwzx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzx'>
			(xx.tpwzx = #tpwzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzy'>
			(xx.tpwzy like '%$LIKEtpwzy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzy'>
			(xx.tpwzy = #tpwzy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsrtds'>
			(xx.spsrtds like '%$LIKEspsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsrtds'>
			(xx.spsrtds = #spsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsrdhmtds'>
			(xx.spsrdhmtds like '%$LIKEspsrdhmtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsrdhmtds'>
			(xx.spsrdhmtds = #spsrdhmtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEspsctds'>
			(xx.spsctds like '%$LIKEspsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='spsctds'>
			(xx.spsctds = #spsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEypsrtds'>
			(xx.ypsrtds like '%$LIKEypsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ypsrtds'>
			(xx.ypsrtds = #ypsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEypsctds'>
			(xx.ypsctds like '%$LIKEypsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ypsctds'>
			(xx.ypsctds = #ypsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjsrtds'>
			(xx.bjsrtds like '%$LIKEbjsrtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjsrtds'>
			(xx.bjsrtds = #bjsrtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbjsctds'>
			(xx.bjsctds like '%$LIKEbjsctds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bjsctds'>
			(xx.bjsctds = #bjsctds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtmtds'>
			(xx.tmtds like '%$LIKEtmtds$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tmtds'>
			(xx.tmtds = #tmtds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEmlczxy'>
			(xx.mlczxy like '%$LIKEmlczxy$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='mlczxy'>
			(xx.mlczxy = #mlczxy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdscdk'>
			(xx.zdscdk like '%$LIKEzdscdk$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdscdk'>
			(xx.zdscdk = #zdscdk# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqybh'>
			(xx.qybh like '%$LIKEqybh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qybh'>
			(xx.qybh = #qybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzdzls'>
			(xx.zdzls like '%$LIKEzdzls$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zdzls'>
			(xx.zdzls = #zdzls# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjlbh'>
			(xx.jlbh like '%$LIKEjlbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jlbh'>
			(xx.jlbh = #jlbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrms'>
			(xx.jrms like '%$LIKEjrms$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrms'>
			(xx.jrms = #jrms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEms'>
			(xx.ms like '%$LIKEms$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ms'>
			(xx.ms = #ms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEdlfwzbh'>
			(xx.dlfwzbh like '%$LIKEdlfwzbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='dlfwzbh'>
			(xx.dlfwzbh = #dlfwzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqymc'>
			(xx.qymc like '%$LIKEqymc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qymc'>
			(xx.qymc = #qymc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEqydz'>
			(xx.qydz like '%$LIKEqydz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='qydz'>
			(xx.qydz = #qydz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExzbh'>
			(xx.xzbh like '%$LIKExzbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xzbh'>
			(xx.xzbh = #xzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrfsbh'>
			(xx.jrfsbh like '%$LIKEjrfsbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrfsbh'>
			(xx.jrfsbh = #jrfsbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjrfsmc'>
			(xx.jrfsmc like '%$LIKEjrfsmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jrfsmc'>
			(xx.jrfsmc = #jrfsmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxr'>
			(xx.lxr like '%$LIKElxr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxr'>
			(xx.lxr = #lxr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxdh'>
			(xx.lxdh like '%$LIKElxdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxdh'>
			(xx.lxdh = #lxdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEvpnwgbh'>
			(xx.vpnwgbh like '%$LIKEvpnwgbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='vpnwgbh'>
			(xx.vpnwgbh = #vpnwgbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(xx.cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(xx.cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(xx.cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(xx.cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xx.xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xx.xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xx.xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xx.xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(xx.bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(xx.bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Sbxx" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into sbxx(
			 <![CDATA[ 
				sbbh,wbbh,sbmc,sbmcpy,sbip,sbdk,sbdlzh,sbdlmm,sbzl,sbbbh,sbxh,cjbh,cjmc,sbzt,xhsj,rjbbh,khbh,sbazwz,jd,wd,tpwzx,tpwzy,spsrtds,spsrdhmtds,spsctds,ypsrtds,ypsctds,bjsrtds,bjsctds,tmtds,mlczxy,zdscdk,qybh,zdzls,jlbh,jrms,ms,dlfwzbh,qymc,qydz,xzbh,jrfsbh,jrfsmc,lxr,lxdh,vpnwgbh,cjry,cjrq,xgry,xgrq,bz
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].sbbh#,#list[].wbbh#,#list[].sbmc#,#list[].sbmcpy#,#list[].sbip#,#list[].sbdk#,#list[].sbdlzh#,#list[].sbdlmm#,#list[].sbzl#,#list[].sbbbh#,#list[].sbxh#,#list[].cjbh#,#list[].cjmc#,#list[].sbzt#,#list[].xhsj#,#list[].rjbbh#,#list[].khbh#,#list[].sbazwz#,#list[].jd#,#list[].wd#,#list[].tpwzx#,#list[].tpwzy#,#list[].spsrtds#,#list[].spsrdhmtds#,#list[].spsctds#,#list[].ypsrtds#,#list[].ypsctds#,#list[].bjsrtds#,#list[].bjsctds#,#list[].tmtds#,#list[].mlczxy#,#list[].zdscdk#,#list[].qybh#,#list[].zdzls#,#list[].jlbh#,#list[].jrms#,#list[].ms#,#list[].dlfwzbh#,#list[].qymc#,#list[].qydz#,#list[].xzbh#,#list[].jrfsbh#,#list[].jrfsmc#,#list[].lxr#,#list[].lxdh#,#list[].vpnwgbh#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











